import '@material/web/icon/icon.js';
import '@operato/property-editor/ox-properties-dynamic-view.js';
import '@operato/markdown';
import '@operato/board/ox-board-viewer.js';
import { LitElement } from 'lit';
export declare class StreamInfo extends LitElement {
    static styles: import("lit").CSSResult[];
    stream?: any;
    private dragEndHandler;
    private dragMoveHandler;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    dataContent({ Y, m, T, p, h, MC, spheat, htr, pwr }: {
        Y?: {} | undefined;
        m?: number | undefined;
        T?: number | undefined;
        p?: number | undefined;
        h?: number | undefined;
        MC?: number | undefined;
        spheat?: number | undefined;
        htr?: number | undefined;
        pwr?: number | undefined;
    }): import("lit-html").TemplateResult<1>;
    private dragStart?;
    onDragStart(e: MouseEvent): boolean;
    onDragMove(e: Event): boolean;
    onDragEnd(e: Event): void;
}
